<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Mp133Shotgun_Base Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d35/class_mp133_shotgun___base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Mp133Shotgun_Base Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>basic mp5 submachine gun  
 <a href="../../de/d35/class_mp133_shotgun___base.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for Mp133Shotgun_Base:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/d35/class_mp133_shotgun___base.png" usemap="#Mp133Shotgun_5FBase_map" alt=""/>
  <map id="Mp133Shotgun_5FBase_map" name="Mp133Shotgun_5FBase_map">
<area href="../../dd/d79/class_rifle___base.html" title="base for rifles @NOTE name copies config base class" alt="Rifle_Base" shape="rect" coords="0,0,132,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac4dc3622623b9ca66b80f907ed3ed2b9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d35/class_mp133_shotgun___base.html#ac4dc3622623b9ca66b80f907ed3ed2b9">Mp133Shotgun</a> ()</td></tr>
<tr class="separator:ac4dc3622623b9ca66b80f907ed3ed2b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4991e9102192a9e545401b150dff4e6a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d35/class_mp133_shotgun___base.html#a4991e9102192a9e545401b150dff4e6a">SpawnRecoilObject</a> ()</td></tr>
<tr class="separator:a4991e9102192a9e545401b150dff4e6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29ef5f50ad8f9e1decbb1e01d9ee2cb2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d35/class_mp133_shotgun___base.html#a29ef5f50ad8f9e1decbb1e01d9ee2cb2">InitStateMachine</a> ()</td></tr>
<tr class="separator:a29ef5f50ad8f9e1decbb1e01d9ee2cb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cb3961f57129ef354a45a17617d8c28"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d35/class_mp133_shotgun___base.html#a2cb3961f57129ef354a45a17617d8c28">CanChamberBullet</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> muzzleIndex, Magazine mag)</td></tr>
<tr class="separator:a2cb3961f57129ef354a45a17617d8c28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bf3e629e767ed3d0d391cf6eeca7f9"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d35/class_mp133_shotgun___base.html#aa2bf3e629e767ed3d0d391cf6eeca7f9">SetActions</a> ()</td></tr>
<tr class="separator:aa2bf3e629e767ed3d0d391cf6eeca7f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accbb2d9c0a2310474a9c02a519087f4b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d35/class_mp133_shotgun___base.html#accbb2d9c0a2310474a9c02a519087f4b">OnDebugSpawn</a> ()</td></tr>
<tr class="separator:accbb2d9c0a2310474a9c02a519087f4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ac3e5162bfd2b5dab0b9e0b0b751a727c"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d35/class_mp133_shotgun___base.html#ac3e5162bfd2b5dab0b9e0b0b751a727c">E</a></td></tr>
<tr class="separator:ac3e5162bfd2b5dab0b9e0b0b751a727c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab609aa5e229066d5ae2f6dab104282ac"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d35/class_mp133_shotgun___base.html#ab609aa5e229066d5ae2f6dab104282ac">F</a></td></tr>
<tr class="separator:ab609aa5e229066d5ae2f6dab104282ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f370cecf7088d8327a3fea0e13f9ac5"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d35/class_mp133_shotgun___base.html#a2f370cecf7088d8327a3fea0e13f9ac5">L</a></td></tr>
<tr class="separator:a2f370cecf7088d8327a3fea0e13f9ac5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a767db124b979cb4f3f679a1e46f18343"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d35/class_mp133_shotgun___base.html#a767db124b979cb4f3f679a1e46f18343">J</a></td></tr>
<tr class="separator:a767db124b979cb4f3f679a1e46f18343"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >basic mp5 submachine gun </p>

<p class="definition">Definition at line <a class="el" href="../../df/d13/_m_p133_8c_source.html#l00064">64</a> of file <a class="el" href="../../df/d13/_m_p133_8c_source.html">MP133.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a2cb3961f57129ef354a45a17617d8c28" name="a2cb3961f57129ef354a45a17617d8c28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2cb3961f57129ef354a45a17617d8c28">&#9670;&#160;</a></span>CanChamberBullet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Mp133Shotgun_Base::CanChamberBullet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>muzzleIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>mag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_m_p133_8c_source.html#l00212">212</a> of file <a class="el" href="../../df/d13/_m_p133_8c_source.html">MP133.c</a>.</p>

</div>
</div>
<a id="a29ef5f50ad8f9e1decbb1e01d9ee2cb2" name="a29ef5f50ad8f9e1decbb1e01d9ee2cb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29ef5f50ad8f9e1decbb1e01d9ee2cb2">&#9670;&#160;</a></span>InitStateMachine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Mp133Shotgun_Base::InitStateMachine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_m_p133_8c_source.html#l00080">80</a> of file <a class="el" href="../../df/d13/_m_p133_8c_source.html">MP133.c</a>.</p>

</div>
</div>
<a id="ac4dc3622623b9ca66b80f907ed3ed2b9" name="ac4dc3622623b9ca66b80f907ed3ed2b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4dc3622623b9ca66b80f907ed3ed2b9">&#9670;&#160;</a></span>Mp133Shotgun()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Mp133Shotgun_Base::Mp133Shotgun </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_m_p133_8c_source.html#l00071">71</a> of file <a class="el" href="../../df/d13/_m_p133_8c_source.html">MP133.c</a>.</p>

</div>
</div>
<a id="accbb2d9c0a2310474a9c02a519087f4b" name="accbb2d9c0a2310474a9c02a519087f4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accbb2d9c0a2310474a9c02a519087f4b">&#9670;&#160;</a></span>OnDebugSpawn()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Mp133Shotgun_Base::OnDebugSpawn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_m_p133_8c_source.html#l00227">227</a> of file <a class="el" href="../../df/d13/_m_p133_8c_source.html">MP133.c</a>.</p>

</div>
</div>
<a id="aa2bf3e629e767ed3d0d391cf6eeca7f9" name="aa2bf3e629e767ed3d0d391cf6eeca7f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2bf3e629e767ed3d0d391cf6eeca7f9">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Mp133Shotgun_Base::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_m_p133_8c_source.html#l00217">217</a> of file <a class="el" href="../../df/d13/_m_p133_8c_source.html">MP133.c</a>.</p>

</div>
</div>
<a id="a4991e9102192a9e545401b150dff4e6a" name="a4991e9102192a9e545401b150dff4e6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4991e9102192a9e545401b150dff4e6a">&#9670;&#160;</a></span>SpawnRecoilObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a> Mp133Shotgun_Base::SpawnRecoilObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_m_p133_8c_source.html#l00075">75</a> of file <a class="el" href="../../df/d13/_m_p133_8c_source.html">MP133.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ac3e5162bfd2b5dab0b9e0b0b751a727c" name="ac3e5162bfd2b5dab0b9e0b0b751a727c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3e5162bfd2b5dab0b9e0b0b751a727c">&#9670;&#160;</a></span>E</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Mp133Shotgun_Base::E</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_m_p133_8c_source.html#l00066">66</a> of file <a class="el" href="../../df/d13/_m_p133_8c_source.html">MP133.c</a>.</p>

</div>
</div>
<a id="ab609aa5e229066d5ae2f6dab104282ac" name="ab609aa5e229066d5ae2f6dab104282ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab609aa5e229066d5ae2f6dab104282ac">&#9670;&#160;</a></span>F</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Mp133Shotgun_Base::F</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_m_p133_8c_source.html#l00067">67</a> of file <a class="el" href="../../df/d13/_m_p133_8c_source.html">MP133.c</a>.</p>

</div>
</div>
<a id="a767db124b979cb4f3f679a1e46f18343" name="a767db124b979cb4f3f679a1e46f18343"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a767db124b979cb4f3f679a1e46f18343">&#9670;&#160;</a></span>J</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Mp133Shotgun_Base::J</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_m_p133_8c_source.html#l00069">69</a> of file <a class="el" href="../../df/d13/_m_p133_8c_source.html">MP133.c</a>.</p>

</div>
</div>
<a id="a2f370cecf7088d8327a3fea0e13f9ac5" name="a2f370cecf7088d8327a3fea0e13f9ac5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f370cecf7088d8327a3fea0e13f9ac5">&#9670;&#160;</a></span>L</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Mp133Shotgun_Base::L</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_m_p133_8c_source.html#l00068">68</a> of file <a class="el" href="../../df/d13/_m_p133_8c_source.html">MP133.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/Firearms/Shotgun/<a class="el" href="../../df/d13/_m_p133_8c_source.html">MP133.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d35/class_mp133_shotgun___base.html">Mp133Shotgun_Base</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
